rte_ml_model_info(3)

NAME
rte_ml_model_info

SYNOPSIS

#include <rte_mldev.h>

  Data Fields

char name [RTE_ML_STR_MAX]
char version [RTE_ML_STR_MAX]
uint16_t model_id
uint16_t device_id
enum rte_ml_io_layout io_layout
uint16_t min_batches
uint16_t max_batches
uint32_t nb_inputs
const struct rte_ml_io_info * input_info
uint32_t nb_outputs
const struct rte_ml_io_info * output_info
uint64_t wb_size

Detailed Description

Model information structure

Definition at line 960 of file rte_mldev.h.

Field Documentation

  char name[RTE_ML_STR_MAX]
Model name.

Definition at line 961 of file rte_mldev.h.

  char version[RTE_ML_STR_MAX]
Model version

Definition at line 963 of file rte_mldev.h.

  uint16_t model_id
Model ID

Definition at line 965 of file rte_mldev.h.

  uint16_t device_id
Device ID

Definition at line 967 of file rte_mldev.h.

  enum rte_ml_io_layout io_layout
I/O buffer layout for the model

Definition at line 969 of file rte_mldev.h.

  uint16_t min_batches
Minimum number of batches that the model can process in one inference request

Definition at line 971 of file rte_mldev.h.

  uint16_t max_batches
Maximum number of batches that the model can process in one inference request

Definition at line 975 of file rte_mldev.h.

  uint32_t nb_inputs
Number of inputs

Definition at line 979 of file rte_mldev.h.

  const struct rte_ml_io_info* input_info
Input info array. Array size is equal to nb_inputs

Definition at line 981 of file rte_mldev.h.

  uint32_t nb_outputs
Number of outputs

Definition at line 983 of file rte_mldev.h.

  const struct rte_ml_io_info* output_info
Output info array. Array size is equal to nb_output

Definition at line 985 of file rte_mldev.h.

  uint64_t wb_size
Size of model weights and bias

Definition at line 987 of file rte_mldev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.